Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041008
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-06-03 09:502019-07-15 10:48
ReporterxabiermerinoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041008: Negative price using promotions in different scenarios

DescriptionScenario 1:
  1.-Scaled price: --> Category A
    * Unit 1 --> 0%
    * Unit 2 --> 0%
    * Unit 3 --> 100%
  2.-Price adjustment (10%) --> Category A

Scenario 2:
  1.-Scaled price: --> Category A
    * Unit 1 --> 0%
    * Unit 2 --> 0%
    * Unit 3 --> 100%
  2.- Discount per total amount (coupon)
    * Total receipt = 10
    * Amount = 3
Steps To ReproduceScenario 1:
* Create a ticket with three different products of Category A
* Realize that, the line with 100% of discount is synchronized with negative price

Scenario 2:
* Select a list of product to introduce promo 1
* Introduce a coupon of the second discount
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040938 closedranjith_qualiantech_com Negative line if a Scaled prices is applied twice 
related to defect 0041219 closedrqueralta The information of a promotion is not saved in the ticket if the discount is 0 

-  Notes
(0112527)
hgbot (developer)
2019-06-10 07:54

Repository: erp/pmods/org.openbravo.retail.discounts.scaledprice
Changeset: 12b2c8934ab9eadc0ef3845c4f4cad915166297e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jun 10 11:24:17 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.scaledprice/rev/12b2c8934ab9eadc0ef3845c4f4cad915166297e [^]

Related to issue 41008 : Scaled Price should be applied on line price instead of discounted line price

---
M web/org.openbravo.retail.discounts.scaledprice/js/scaledprice.js
---
(0112532)
hgbot (developer)
2019-06-10 10:18

Repository: erp/pmods/org.openbravo.retail.discounts.scaledprice
Changeset: e6a12106dafc02106721ac5b20f4c324123248e1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jun 10 13:48:41 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.scaledprice/rev/e6a12106dafc02106721ac5b20f4c324123248e1 [^]

Related to issue 41008 : Scaled Price should be applied on line price instead of discounted line price

* if line price is negative after applying scaled discount, then scaled discount should be applied as Zero

---
M web/org.openbravo.retail.discounts.scaledprice/js/scaledprice.js
---
(0112561)
hgbot (developer)
2019-06-11 07:46

Repository: tools/automation/pi-mobile
Changeset: e865f6df12c76a97bd077ce6eefb8a97a383046e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jun 11 11:15:56 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/e865f6df12c76a97bd077ce6eefb8a97a383046e [^]

Verifies issue 41008 : Added automated test 'I41008_VerifyDiscountWithPriceAdjustment'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I38813_VerifyDiscountWhenCanceledByAnother.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I38813_VerifyDiscountWhenCanceledByAnother2.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/splitline/SplitLineWithAutomaticPromoFreeProdScaledPriceAndManualPromo.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I41008_VerifyDiscountWithPriceAdjustment.java
---
(0113091)
jorge-garcia (developer)
2019-06-28 09:28

In this case, the behavior is not correct:
Scenario 1:
  1.-Scaled price: --> Category A with Priority 2
    * Unit 1 --> 0%
    * Unit 2 --> 0%
    * Unit 3 --> 100%
  2.-Price adjustment (10%) --> Category A with Priority 1

If we add three products to the ticket:
  Product 1
      --> Price Adjustment 10% discount (OK)
  Product 2
      --> Price Adjustment 10% discount (OK)
  Product 3
      --> Price Adjustment 10% discount (OK)
      --> Scaled Price of 0.00€ (WRONG)

In this case, we expect that scaled price reduce the line price to 0.00 (which in this case will be the 90% of the original price), instead of applying a discount of 0.00
(0113097)
hgbot (developer)
2019-06-28 11:53

Repository: erp/pmods/org.openbravo.retail.discounts.scaledprice
Changeset: 1628cbd6b8cc64825eab1a4c7bf57a048efc759b
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Jun 28 15:23:39 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.scaledprice/rev/1628cbd6b8cc64825eab1a4c7bf57a048efc759b [^]

Related to issue 41008 : Backout changes 1f24bc9dc3a9 and e6a12106dafc

---
M web/org.openbravo.retail.discounts.scaledprice/js/scaledprice.js
---
(0113098)
hgbot (developer)
2019-06-28 11:54

Repository: tools/automation/pi-mobile
Changeset: a25628aa159d7eb69fa317f602f6fb2770158413
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Jun 28 14:43:16 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/a25628aa159d7eb69fa317f602f6fb2770158413 [^]

Related to issue 41008 : Backed out changeset: e865f6df12c7

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I38813_VerifyDiscountWhenCanceledByAnother.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I38813_VerifyDiscountWhenCanceledByAnother2.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/splitline/SplitLineWithAutomaticPromoFreeProdScaledPriceAndManualPromo.java
R src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I41008_VerifyDiscountWithPriceAdjustment.java
---
(0113255)
hgbot (developer)
2019-07-10 14:51

Repository: erp/pmods/org.openbravo.retail.discounts.scaledprice
Changeset: c99e6c7488a5ac3898f44aa57ac3cf4de299c6cf
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jul 10 18:21:23 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.scaledprice/rev/c99e6c7488a5ac3898f44aa57ac3cf4de299c6cf [^]

Related to issue 41008 : Scaled Price should be applied on discounted line price instead of line price

* if line price is negative after applying scaled discount, then scaled discount should be applied as Zero

---
M web/org.openbravo.retail.discounts.scaledprice/js/scaledprice.js
---
(0113260)
hgbot (developer)
2019-07-11 04:14

Repository: tools/automation/pi-mobile
Changeset: 1ebd5a3820c7c1dac09c7e9b99da11ee821351c8
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Jul 11 07:44:00 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/1ebd5a3820c7c1dac09c7e9b99da11ee821351c8 [^]

Verifies issue 41008 : Added automated test 'I41008_VerifyDiscountWithPriceAdjustment'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I38813_VerifyDiscountWhenCanceledByAnother.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I38813_VerifyDiscountWhenCanceledByAnother2.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_scaledprice/I41008_VerifyDiscountWithPriceAdjustment.java
---
(0113365)
jorge-garcia (developer)
2019-07-15 10:48

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-06-03 09:50 xabiermerino New Issue
2019-06-03 09:50 xabiermerino Assigned To => Retail
2019-06-03 09:50 xabiermerino Triggers an Emergency Pack => No
2019-06-04 10:27 xabiermerino Summary Negative amount using promotions in different scenarios => Negative price using promotions in different scenarios
2019-06-04 10:27 xabiermerino Steps to Reproduce Updated View Revisions
2019-06-04 11:04 xabiermerino Description Updated View Revisions
2019-06-04 11:04 xabiermerino Steps to Reproduce Updated View Revisions
2019-06-05 12:10 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-06-05 12:10 ranjith_qualiantech_com Status new => scheduled
2019-06-05 14:14 ranjith_qualiantech_com Relationship added related to 0040938
2019-06-10 07:54 hgbot Checkin
2019-06-10 07:54 hgbot Note Added: 0112527
2019-06-10 10:18 hgbot Checkin
2019-06-10 10:18 hgbot Note Added: 0112532
2019-06-11 07:46 hgbot Checkin
2019-06-11 07:46 hgbot Note Added: 0112561
2019-06-11 07:46 ranjith_qualiantech_com Status scheduled => resolved
2019-06-11 07:46 ranjith_qualiantech_com Resolution open => fixed
2019-06-27 16:12 jorge-garcia Review Assigned To => jorge-garcia
2019-06-28 09:28 jorge-garcia Note Added: 0113091
2019-06-28 09:28 jorge-garcia Status resolved => new
2019-06-28 09:28 jorge-garcia Resolution fixed => open
2019-06-28 11:53 hgbot Checkin
2019-06-28 11:53 hgbot Note Added: 0113097
2019-06-28 11:54 hgbot Checkin
2019-06-28 11:54 hgbot Note Added: 0113098
2019-06-28 11:54 ranjith_qualiantech_com Status new => scheduled
2019-07-10 14:51 hgbot Checkin
2019-07-10 14:51 hgbot Note Added: 0113255
2019-07-11 04:14 hgbot Checkin
2019-07-11 04:14 hgbot Note Added: 0113260
2019-07-11 11:01 ranjith_qualiantech_com Status scheduled => resolved
2019-07-11 11:01 ranjith_qualiantech_com Resolution open => fixed
2019-07-15 10:48 jorge-garcia Note Added: 0113365
2019-07-15 10:48 jorge-garcia Status resolved => closed
2019-07-18 14:58 ranjith_qualiantech_com Relationship added related to 0041219


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker